@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

:root{
    --header-height: 3rem;
    --hue-color: 250;
    --first-color: hsl(var(--hue-color), 69%, 61%);
    --first-color-second: hsl(var(--hue-color), 69%, 61%);
    --first-color-alt: hsl(var(--hue-color), 57%, 53%);
    --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
    --title-color: hsl(var(--hue-color), 8% , 15%);
    --text-color: hsl(var(--hue-color),8% , 45%);
    --text-color-light: hsl(var(--hue-color), 8%, 65% );
    --input-color:hsl(var(--hue-color),70%, 96%); 
    --body-color: hsl(var(--hue-color),60%, 99%);
    --container-color:  #fff;

    --body-font:   'Poppins', sans-serif;


    --big-font-size: 2rem;
    --h1-font-size : 1.5rem;
    --h2-font-size : 1.25rem;
    --h3-font-size : 1.125rem;
    --normal-font-size: .938rem;
    --samll-font-size : .813rem;
    --smaller-font-size: .75rem;



    --font-medium : 500;
    --font-semi-bold: 600;


    --mb-0-25:0.25rem ;
    --mb-0-5:0.5rem;
    --mb-0-75:0.75rem;
    --mb-0-1:1rem;
    --mb-1-5:1.5rem;
    --mb-2:2rem;
    --mb-2-5:2.5rem;
    --mb-3:3rem;

    --z-tooltip:10;
    --z-fixed:100;
    --z-modal:100;
}

@media screen and (min-width: 968px){
            :root{
                --big-font-size:3rem;
                --h1-font-size:2.25rem;
                --h2-font-size:1.5rem;
                --h3-font-size:1.25rem;
                --normal-font-size:1rem;
                --small-font-size:0.875rem;
                --smller-font-size:.813rem; 
            }
}


*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html{
    scroll-behavior: smooth;
}

body{
    margin: 0 0 var(--header-height) 0;
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    background-color: var(--body-color);
    color: var(--text-color);
}

h1,h2,h3,h4{
    color: var(--title-color);
    font-weight: var(--font-semi-bold);
}
ul{
    list-style: none;
}
a{
    text-decoration: none;
}
img{
    max-width: 100%;
    height: auto;
}

.section{
    padding: 2rem 0 4rem;
}

.section_title{
    font-size: var(--h1-font-size);
}
.section_subtitle{
    display: block;
    font-size: var(--small-font-size);
    margin-bottom: var(--mb-3);
}

.section_title,
.section_subtitle{
    text-align: center;
}

.container{
    max-width: 768px;
    margin-left: var(--mb-1-5);
    margin-right: var(--mb-1-5);
}
.grid{
    display: grid;
    gap:1.5rem;

}
    
.header{
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: var(--z-fixed);
    background-color: var(--body-color);
}
 .nav{
    max-width: 968px;
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
 }

.nav_logo,
.nav_toggle{
    color: var(--title-color);
    font-weight: var(--font-medium);
}
.nav_logo:hover{
    color: var(--first-color);
}
.nav_toggle{
    font-size: 1.1rem;
    cursor: pointer;
}
.nav_toggle:hover{
    color: var(--first-color);
}

@media screen and (max-width: 767px) {
            .nav_menu{
                position: fixed;
                bottom: -100%;
                left: 0;
                width: 100%;
                background-color: var(--body-color);
                padding: 2rem 1.5rem 4rem;
                box-shadow: 0 -1px 4px rgba(0, 0, 0, .15);
                border-radius: 1.5rem 1.5rem 0 0;
                transition: .3s;
            }    
}
.nav_list{
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
    
}
.nav_link{
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: var(--small-font-size);
    color: var(--title-color);
    font-weight: var(--font-medium);
}

.nav_link:hover{
    color: var(--first-color);
}
.nav_icon{
    font-size: 1.2rem;
}
.nav_close{
    position: absolute;
    right: 1.3rem;
    bottom: .5rem;
    font-size: 1.5rem;
    cursor: pointer;
    color: var(--first-color);
}
.nav_close:hover{
    color: var(--first-color-alt);
}
.show-menu{
    bottom: 0;
}
.home_container{
    gap: 1rem;

}
.home_content{
    grid-template-columns: .5fr 3fr;
    padding-top: 3.5rem;
    align-items: center;
}
.home_social{
    display: grid;
    grid-template-columns: max-content;
    row-gap: 1rem;
}
.home_social-icon{
    font-size: 1.2rem;
    color: var(--first-color);
}
.home_social-icon:hover{
    color: var(--first-color-alt);
}
.home_blob{
    width: 200px;
    fill: var(--first-color);
}
.home_blob-img{
    width: 170px;
}

.home_data{
    grid-column: 1/3;
}
.home-title{
    font-size: var(--big-font-size);
}
.home_subtitle{
    font-size: var(--h3-font-size);
    color: var(--text-color);
    font-weight: var(--font-medium);
    margin-bottom: var(--mb-0-75);

}
.home_discription{
    margin-bottom: var(--mb-2);
}
.home_scroll{
        display: none;
}
.home_scroll-button{
    color: var(--first-color);
    transition: 3s;
}
.home_scroll-button:hover{
    transform: translateY(0.25rem);
}
.home_scroll-mouse{
    font-size: 2rem;
}
.home_scroll-name{
    font-size: var(--small-font-size);
    color: var(--title-color);
    font-weight: var(--font-medium);
    margin-right: var(--mb-0-25);
}
.home_scroll-arrow{
            font-size: 1.25rem;
}
.button{
    display: inline-block;
    background-color: var(--first-color);
    color: #fff;
    padding: 1rem;
    border-radius: .5rem;
    font-weight: var(--font-medium);
}
.button:hover{
    background-color: var(--first-color-alt)
}
.button_icon{
    font-size: 1.25rem;
    margin-left: var(--mb-0-5);
    transition: .3s;
}
.button--flex{
    display: inline-flex;
    align-items: center;
    margin-bottom: var(--mb-3);
}
.button--small{
    padding: .75rem 1rem;

}
.button--link{
    padding: 0;
    background-color: transparent;
    color: var(--first-color);
}
.button--link:hover{
    background-color: transparent;
    color: var(--first-color-alt);
}
.about_img{
    width: 200px;
    border-radius: .5rem;
    justify-self: center;
    align-self: center;
}
.about_description{
    text-align: center;
    margin-bottom: var(--mb-2-5);
}

.skill_container{
    gap: 1.5rem;
    grid-template-columns: repeat(2, 1fr);
}
.skill_contant{
    position: relative;
    background-color: var(--container-color);
    padding: 3.5rem  .5rem  1.25rem 1.5rem;
    border-radius: .25rem;
    box-shadow: 0 2px 4px rgba(0, 0, 0, .15);
    transition: .3s;
}
.skill_contant:hover{
    box-shadow: 0 4px 8px rgba(0, 0, 0, .15);
}
.modal_service-icon{
    display: block;
    font-size: 1.5rem;
    color: var(--first-color);
    margin-bottom: var(--mb-0-1);
}
.skill_title{
    font-size: var(--h3-font-size);
    margin-bottom: var(--mb-0-1);
    font-weight: var(--font-medium);
}
.skill_button{
    cursor: pointer;
    font-size: var(--samll-font-size);
}
.skill_button:hover .button_icon{
            transform: translateX(.25rem);
}
.service_modal{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, .5);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 1rem;
    z-index: var(--z-modal);
    opacity: 0;
    visibility: hidden;
    transition: .3s;
}
.secvicer_modal-content{
        position: relative;
        background-color: var(--container-color);
        padding: 1.5rem;
        border-radius: .5rem;
}
.service_modal-service{
    row-gap: 1rem;
}
.service_modal-service{
    display: flex; 
}
.service_modal-title{
    font-size: var(--h3-font-size);
    font-weight: var(--font-medium);
    margin-bottom: var(--mb-1-5);
}
.service_modal-close{
    position: absolute;
    top: 1rem;
    right: 1rem;
    font-size: 1.5rem;
    color: var(--first-color);
    cursor: pointer;
}
.service_modal-icon{
    color: var(--first-color);
    margin-right: var(--mb-0-25);
}
.active-modal{
    opacity: 1;
    visibility: visible;
}
.contact_container{
    row-gap: 3rem;
}
.contact_information{
    display: flex;
    margin-bottom: var(--mb-2);
}
.contact_icon{
    font-size: 2rem;
    color: var(--first-color);
    margin-right: var(--mb-0-75);
}
.contact_title{
    font-size: var(--h3-font-size);
    font-weight: var(--font-medium);
}
.contact_subtitle{
    font-size: var(--small-font-size);
    color: var(--text-color-light);
}
.contact_content{
    background-color: var(--input-color);
    border-radius: .5rem;
    padding: .75rem 1rem .25rem;
}
.contact_label{
    font-size: var(--smaller-font-size);
    color: var(--title-color);
}
.contact_input{
    width: 100px;
    background-color: var(--input-color);
    color: var(--text-color);
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    border: none;
    outline: none;
    padding: .25rem .5rem .5rem 0;
}
@media screen and (max-width: 350px){
    .container{
        margin-right: var(--mb-0-1);
        margin-left: var(--mb-0-1);
    }

    .nav_menu{
        padding: 2rem .25rem 4rem;
    }
    .nav_list{
        column-gap: 0;
    }
    .home_content{
        grid-template-columns: .25fr 3fr;
    }
    .home_blob{
        width: 180px;

    }
    .skill_title{
        font-size: var(--normal-font-size);
    }
    .skill_container{
        grid-template-columns: max-content;
        justify-content: center;
    }
    .skill_contant{
        padding-right: 3.5rem;
    }
    .service_modal{
        padding: 0 .5rem;
    }
}
@media screen and (max-width: 568px) {
    .home_content{
        grid-template-columns: max-content 1fr 1fr;
    }
    .home_data{
        grid-column: initial;
    }
    .home_img{
        order: 1;
        justify-self: center;
    }
    .skill_container,
    .contact_container{
        grid-template-columns: repeat(2, 1fr);
    }
}
@media screen and (min-width: 768px) {
    .container{
        margin-left: auto;
        margin-right: auto;
    }
    body{
        margin: 0;
    }
    .section{
        padding: 6rem 0 2rem;
    }
    .section_subtitle{
        margin-bottom: 4rem;
    }
    .header{
        top: 0;
        bottom: initial;
    }
    .header,
    .main{
        padding: 0 1rem;
    }
    .nav{
        height: calc(var(--header-height) + 1.5rem);
        column-gap: 1rem;
    }
    .nav_icon,
    .nav_close,
    .nav_toggle{
        display: none;
    }
    .nav_list{
        display: flex;
        column-gap: 2rem;
    }
    .nav_menu{
        margin-left: auto;
    }
    .home_container{
        
        row-gap: 5rem;
    }
    .home_content{
        padding-top: 5.5rem;
        column-gap: 2rem;
    }
    .home_blob{
    
        width: 270px;
    }
    .home_img{
        margin-left: 20rem;
    }
    .home_scroll{
        display: block;
    }
    .home_scroll-button{
        margin-left: 3rem;
    }
    .about_container{
        column-gap: 5rem;
    }
    .about_img{
        width: 350px;
    }
    .about_description{
        text-align: center;
    }
    .skill_container{
        grid-template-columns: repeat(3, 218px);
        justify-content: center;
    }
    .modal_service-icon{
        font-size: 2rem;
    }
    .secvicer_modal-content{
        padding: 6rem 0 2rem 2.5rem;
    }
    .service_modal-services{
        width: 450px;
    }
    .footer_container{
        grid-template-columns: repeat(3, 1fr);

    }
    .footer_bg{
        padding: 3rem 0 3.5rem;
    }
    .footer_link{
        flex-direction: row;
        column-gap: 2rem;
    }
}

